libzypp: zypp::ui::SelectableTraits Struct Reference

libzypp 17.38.6

zypp::ui::SelectableTraits Struct Reference

`#include <zypp/ui/SelectableTraits.h>`

## Classes
struct | AVOrder
| Oder on AvailableItemSet. More...
struct | IOrder
| Oder on InstalledItemSet. More...

## Public Types
using | AvailableItemSet = std::set<PoolItem, AVOrder>
using | available_iterator = AvailableItemSet::iterator
using | available_const_iterator = AvailableItemSet::const_iterator
using | available_size_type = AvailableItemSet::size_type
using | InstalledItemSet = std::set<PoolItem, IOrder>
using | installed_iterator = AvailableItemSet::iterator
using | installed_const_iterator = AvailableItemSet::const_iterator
using | installed_size_type = AvailableItemSet::size_type
using | PickList = std::vector<PoolItem>
using | picklist_iterator = PickList::const_iterator
using | picklist_size_type = PickList::size_type

## Detailed Description

Definition at line 34 of file SelectableTraits.h.

## Member Typedef Documentation

## ◆ AvailableItemSet

using zypp::ui::SelectableTraits::AvailableItemSet = std::set<PoolItem, AVOrder>

Definition at line 118 of file SelectableTraits.h.

## ◆ available_iterator

using zypp::ui::SelectableTraits::available_iterator = AvailableItemSet::iterator

Definition at line 119 of file SelectableTraits.h.

## ◆ available_const_iterator

using zypp::ui::SelectableTraits::available_const_iterator = AvailableItemSet::const_iterator

Definition at line 120 of file SelectableTraits.h.

## ◆ available_size_type

using zypp::ui::SelectableTraits::available_size_type = AvailableItemSet::size_type

Definition at line 121 of file SelectableTraits.h.

## ◆ InstalledItemSet

using zypp::ui::SelectableTraits::InstalledItemSet = std::set<PoolItem, IOrder>

Definition at line 123 of file SelectableTraits.h.

## ◆ installed_iterator

using zypp::ui::SelectableTraits::installed_iterator = AvailableItemSet::iterator

Definition at line 124 of file SelectableTraits.h.

## ◆ installed_const_iterator

using zypp::ui::SelectableTraits::installed_const_iterator = AvailableItemSet::const_iterator

Definition at line 125 of file SelectableTraits.h.

## ◆ installed_size_type

using zypp::ui::SelectableTraits::installed_size_type = AvailableItemSet::size_type

Definition at line 126 of file SelectableTraits.h.

## ◆ PickList

using zypp::ui::SelectableTraits::PickList = std::vector<PoolItem>

Definition at line 128 of file SelectableTraits.h.

## ◆ picklist_iterator

using zypp::ui::SelectableTraits::picklist_iterator = PickList::const_iterator

Definition at line 129 of file SelectableTraits.h.

## ◆ picklist_size_type

using zypp::ui::SelectableTraits::picklist_size_type = PickList::size_type

Definition at line 130 of file SelectableTraits.h.

The documentation for this struct was generated from the following file:

- zypp/ui/SelectableTraits.h